Subject: bug#34621: Patch Update

From: Christopher Thorne <[email-masked]>
Date: Tue, 05 Mar 2019 18:22:15 +0000

> It doesn't sound to me like this has anything, per se,
> to do with Dired.  It has to do with how the default is
> determined, and that's apparently now being picked up
> from the buffer name.

Hmm, I think you're right that this isn't just isolated to dired. For 
example, I can start a shell-mode buffer, rename it to shell.txt and 
rgrep will now suggest "*.txt" as the default extension even though my 
buffer is unrelated to .txt files.

An alternative I considered is only showing extension suggestions for 
buffers that are associated with a file (i.e. buffer-file-name is a 
non-empty string). Can you think of any cases where this would fall 
down?